# Generated by Django 4.0.7 on 2022-08-22 13:33

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations

import main.blocks
import shared.blocks


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0003_mainhomepage_twitter_usernames_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="maincontactpage",
            name="contact_boxes",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba", page_type=["main.MainPersonPage"]
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Kontaktní boxy",
            ),
        ),
        migrations.AlterField(
            model_name="maincontactpage",
            name="contact_people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba", page_type=["main.MainPersonPage"]
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Kontaktní osoby",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "carousel",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "slides",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.HomePageCarouseSlideBlock,
                                        label="Obrázky s nadpisy - carouselu",
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "boxes",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        shared.blocks.PersonBoxBlock, label="Boxíky"
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Hlavní obsah",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="footer_other_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "other_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "list",
                                    wagtail.blocks.ListBlock(
                                        main.blocks.LinkBlock,
                                        label="Seznam odkazů s titulkem",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Bloky dalších odkazů v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="footer_person_list",
            field=wagtail.fields.StreamField(
                [
                    (
                        "person",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba", page_type=["main.MainPersonPage"]
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Osoby v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="footer_social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "text",
                                    wagtail.blocks.CharBlock(
                                        label="Titulkek odkazu (text, který se zobrazí místo dlouhého odkazu)"
                                    ),
                                ),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                ("icon", wagtail.blocks.CharBlock(label="Ikona")),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Odkazy na sociální sítě v zápatí webu",
            ),
        ),
        migrations.AlterField(
            model_name="mainpeoplepage",
            name="people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Detail osoby",
                                            page_type=["main.MainPersonPage"],
                                        ),
                                        label="Seznam osob",
                                    ),
                                ),
                            ],
                            label="Seznam osob",
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Lidé",
            ),
        ),
        migrations.AlterField(
            model_name="mainprogrampage",
            name="program",
            field=wagtail.fields.StreamField(
                [
                    (
                        "program_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek části programu"
                                    ),
                                ),
                                (
                                    "point_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "icon",
                                                    wagtail.images.blocks.ImageChooserBlock(
                                                        label="Ikona"
                                                    ),
                                                ),
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Titulek článku programu"
                                                    ),
                                                ),
                                                (
                                                    "text",
                                                    wagtail.blocks.TextBlock(
                                                        label="Obsah"
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Jednotlivé články programu",
                                    ),
                                ),
                            ],
                            label="Část programu",
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Program",
            ),
        ),
        migrations.AlterField(
            model_name="mainworkpage",
            name="timeline",
            field=wagtail.fields.StreamField(
                [
                    (
                        "article_list",
                        wagtail.blocks.PageChooserBlock(
                            label="Vybrat aktualitu", page_type=["main.MainArticlePage"]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Timeline",
            ),
        ),
    ]
